Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Class DirectoryEntryInformation

    java.lang.Object
      |
      +--com.novell.service.file.nw.DirectoryEntryInformation

public class DirectoryEntryInformation
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Provides the attribute interface for Directory Entry Information. A directory entry can be a file or a directory.

The jndi.ds.Attribute.getAttributeID() method returns "DirectoryEntryInformation" as the attribute ID for this interface.

This class results in a mutable object. For versatility, code block synchronization has been implemented in the various jndi search and modify methods of this classes implementation to provide for thread safe operation.

If you have a multi-threaded application and a code segment of that application uses the get methods of this class and there is a potential of another thread randomly using corresponding set methods of this class, you should enclose the calls to the get methods in a synchronized code block.

If you have a multi-threaded application and a code segment of that application uses set methods of this class, and there is a potential of another thread randomly using corresponding get methods, you should enclose the calls to the set methods in a synchronized code block.

This class contains the following directory entry information:

*Archive date - The date the entry was last archived.
*Archive time - The time the entry was last archived.
*Archiver - The name of the object last archiving the entry.
*Attributes - A bit mask containing the entry's attributes.
*Creation date - The date the entry was created.
*Creation time - The time the entry was created.
*Creator - name of the object that created the entry.
Data Stream Size - The size of the data stream.
Directory entry number - The directory entry number.
DOS directory entry number - The DOS directory entry number.
Extended attribute data size - The data size of the entry's extended attribute.
Extended attribute key count - The key count of the entry's extended attribute.
Extended attribute key size - The size of the entry's extended attribute.
Entry name - The entry's name.
Flags - Data used internally.
*Inherited rights mask - The entry's inherited rights mask.
*Last access date - The date the entry was last accessed.
*Modifier - The name of the object that last modified the entry.
*Modify date - The date when the entry was last modified.
*Modify time - The time when entry was last modified.
Name length - The length of the entry's name.
Name space creator - The name space the entry was originally created in.
Number of streams - The number of streams associated with the entry.
Space allocated - The space allocated to the primary datastream.
Total stream size - The total size (number of 4K blocks) of streams associated with the entry.
Volume number - The number of the volume that contains the entry.

When using the JNDI interface and doing a modify attribute operation on a DirectoryEntryInformation value, the above values flagged with an asterisk (*) are the only ones that will be modified. The user must set all of these fields up to the desired values before making the modify call.

Field Summary
`static int` | `A_CANT_COMPRESS` Attribute: The entry cannot be compressed.
`static int` | `A_COPY_INHIBIT` Attribute: The entry cannot be copied.
`static int` | `A_DELETE_INHIBIT` Attribute: The entry cannot be deleted.
`static int` | `A_DIRECTORY` Attribute: The entry is a directory, not a file.
`static int` | `A_DONT_COMPRESS` Attribute: The entry should not be compressed.
`static int` | `A_DONT_MIGRATE` Attribute: The entry should not be migrated.
`static int` | `A_EXECUTE_ONLY` Attribute: The entry can be loaded for execution only once.
`static int` | `A_FILE_COMPRESSED` Attribute: The entry is compressed.
`static int` | `A_FILE_MIGRATED` Attribute: The entry has been migrated.
`static int` | `A_HIDDEN` Attribute: The entry doesn't appear in a normal directory listing.
`static int` | `A_IMMEDIATE_COMPRESS` Attribute: The entry should be compressed when migrated.
`static int` | `A_IMMEDIATE_PURGE` Attribute: The entry will be purged when deleted.
`static int` | `A_INDEXED` Attribute: Not in use; provided for compatibility only.
`static int` | `A_NEEDS_ARCHIVED` Attribute: The entry has been changed since last archived.
`static int` | `A_NORMAL` Attribute: No attributes set.
`static int` | `A_READ_AUDIT` Attribute: Not in use.
`static int` | `A_READ_ONLY` Attribute: The entry cannot be written, deleted or renamed.
`static int` | `A_RENAME_INHIBIT` Attribute: The entry cannot be renamed.
`static int` | `A_SHAREABLE` Attribute: The entry can be opened by multiple clients.
`static int` | `A_SYSTEM` Attribute: The entry is used by the system and is hidden.
`static int` | `A_TRANSACTIONAL` Attribute: A transaction on the entry is being tracked.
`static int` | `A_WRITE_AUDIT` Attribute: Not in use.
`static java.lang.String` | `ARCHIVEDATE_FIELD` Field specifier for searching on last archival date.
`static java.lang.String` | `ARCHIVER_FIELD` Field specifier for searching on archiver.
`static java.lang.String` | `ARCHIVETIME_FIELD` Field specifier for searching on last archival time.
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of DirectoryEntryInformation.
`static java.lang.String` | `ATTRIBUTES_FIELD` Field specifier for searching on directory entry attributes.
`static java.lang.String` | `COMPARE_SYNTAX_STRING` Schema Syntax of DirectoryEntryInfomation.
`static java.lang.String` | `CREATIONDATE_FIELD` Field specifier for searching on creation date.
`static java.lang.String` | `CREATIONTIME_FIELD` Field specifier for searching on creation time.
`static java.lang.String` | `CREATOR_FIELD` Field specifier for searching on creator.
`static java.lang.String` | `DATASTREAMSIZE_FIELD` Field specifier for searching on the primary data stream size.
`static java.lang.String` | `DIRENTNUM_FIELD` Field specifier for searching on the name space directory entry number.
`static int` | `DM_ARCHIVE_DATE` Modify Mask: Archive Date.
`static int` | `DM_ARCHIVE_TIME` Modify Mask: Archive Time.
`static int` | `DM_ARCHIVER` Modify Mask: Archiver.
`static int` | `DM_ATTRIBUTES` Modify Mask: Attributes.
`static int` | `DM_CREATE_DATE` Modify Mask: Creation Date.
`static int` | `DM_CREATE_TIME` Modify Mask: Creation Time.
`static int` | `DM_CREATOR` Modify Mask: Creator.
`static int` | `DM_INHERITED_RIGHTS_MASK` Modify Mask: Inherited Rights Mask.
`static int` | `DM_LAST_ACCESS_DATE` Modify Mask: Last Access Date.
`static int` | `DM_MODIFIER` Modify Mask: Modifier.
`static int` | `DM_MODIFY_DATE` Modify Mask: Modify Date.
`static int` | `DM_MODIFY_TIME` Modify Mask: Modify Time.
`static java.lang.String` | `DOSDIRNUM_FIELD` Field specifier for searching on the DOS directory entry number.
`static java.lang.String` | `EADATASIZE_FIELD` Field specifier for searching on total EA data size.
`static java.lang.String` | `EAKEYCOUNT_FIELD` Field specifier for searching on number of EAs associated with this directory entry.
`static java.lang.String` | `EAKEYSIZE_FIELD` Field specifier for searching on size of the EA key strings.
`static java.lang.String` | `ENTRYNAME_FIELD` Field specifier for searching on name space name.
`static java.lang.String` | `FLAGS_FIELD` Field specifier for searching on internal directory entry flags.
`static java.lang.String` | `INHERITEDRIGHTSMASK_FIELD` Field specifier for searching on the inherited rights mask.
`static java.lang.String` | `LASTACCESSDATE_FIELD` Field specifier for searching on last access date.
`static java.lang.String` | `MODIFIER_FIELD` Field specifier for searching on modifier.
`static java.lang.String` | `MODIFYDATE_FIELD` Field specifier for searching on last modification time.
`static java.lang.String` | `MODIFYMASK_FIELD` Field specifier for searching on modify mask.
`static java.lang.String` | `MODIFYSEARCHATTRIBUTES_FIELD` Field specifier for searching on modify search attributes.
`static java.lang.String` | `MODIFYTIME_FIELD` Field specifier for searching on last modification date.
`static java.lang.String` | `NAMELENGTH_FIELD` Field specifier for searching on length of the name space name.
`static java.lang.String` | `NSCREATOR_FIELD` Field specifier for searching on the owning name space.
`static java.lang.String` | `NUMBEROFSTREAMS_FIELD` Field specifier for searching on the number of data streams associated with this directory entry.
`static int` | `NW_NS_DOS` NSCreator: DOS name space.
`static int` | `NW_NS_FTAM` NSCreator: FTAM name space.
`static int` | `NW_NS_MAC` NSCreator: MAC name space.
`static int` | `NW_NS_NFS` NSCreator: NFS name space.
`static int` | `NW_NS_OS2` NSCreator: OS2 name space (LONG).
`static int` | `SA_HIDDEN` modifySearchAttributes: Search for hidden entries for modification.
`static int` | `SA_SUBDIR_FILES` modifySearchAttributes: Search for files and directories for modification.
`static int` | `SA_SUBDIR_ONLY` modifySearchAttributes: Search for directories only for modification.
`static int` | `SA_SYSTEM` modifySearchAttributes: Search for system entries for modification.
`static java.lang.String` | `SCHEMA_BINDING_NAME` Schema Class Definition Name of DirectoryEntryInformation.
`static java.lang.String` | `SPACEALLOC_FIELD` Field specifier for searching on space allocation information.
`static int` | `TA_ALL` Netware rights: Specifies all rights to the directory.
`static int` | `TA_CREATE` Netware rights: Can create files.
`static int` | `TA_DELETE` Netware rights: Can delete files.
`static int` | `TA_MODIFY` Netware rights: Can modify the file attributes.
`static int` | `TA_NONE` Netware rights: Cannot read or write.
`static int` | `TA_OLD_OPEN` Netware rights: Can open existing file (obsolete).
`static int` | `TA_OWNERSHIP` Netware rights: Can create and delete subdirectories, and can grant and revoke trustee rights.
`static int` | `TA_READ` Netware rights: Can read.
`static int` | `TA_SEARCH` Netware rights: Can search the directory.
`static int` | `TA_SUPERVISOR` Netware rights: User has supervisor rights.
`static int` | `TA_WRITE` Netware rights: Can write.
`static java.lang.String` | `TOTALSTREAMSIZE_FIELD` Field specifier for searching on the total size of all data streams.
`static java.lang.String` | `VOLNUMBER_FIELD` Field specifier for searching on the volume number where the directory entry resides.

Constructor Summary
`DirectoryEntryInformation()` Constructs a DirectoryEntryInformation object.
`DirectoryEntryInformation(int spaceAlloc, int attributes, int flags, int dataStreamSize, int totalStreamSize, int numberOfStreams, int creationTime, int creationDate, java.lang.String creator, int modifyTime, int modifyDate, java.lang.String modifier, int lastAccessDate, int archiveTime, int archiveDate, java.lang.String archiver, int inheritedRightsMask, int dirEntNum, int DosDirNum, int volNumber, int EADataSize, int EAKeyCount, int EAKeySize, int NSCreator, int nameLength, java.lang.String entryName, int modifySearchAttributes)` Constructs a DirectoryEntryInformation object specifying all values that are needed to set the full state.
`DirectoryEntryInformation(int attributes, int creationDate, int creationTime, java.lang.String creator, int modifyDate, int modifyTime, java.lang.String modifier, int archiveDate, int archiveTime, java.lang.String archiver, int lastAccessDate, int grantRights, int revokeRights, int spaceAlloc, int modifySearchAttributes, int modifyMask)` Constructs a DirectoryEntryInformation object that is ready to send into a modify operation.

Method Summary
`java.lang.Object` | `clone()` Clones this object.
`void` | `copy(DirectoryEntryInformation from)`
`boolean` | `equals(java.lang.Object obj)` Tests if the specified object is equal to this directory entry information object.
`int` | `getArchiveDate()` Returns the ArchiveDate field.
`java.lang.String` | `getArchiver()` Returns a reference to this object's Archiver field.
`int` | `getArchiveTime()` Returns the ArchiveTime field.
`int` | `getAttributes()` Returns the directory entry attributes.
`java.lang.String` | `getCompareString()` Returns the current value of compareString.
`int` | `getCreationDate()` Returns the CreationDate field.
`int` | `getCreationTime()` Returns the CreationTime field.
`java.lang.String` | `getCreator()` Returns the Creator field.
`int` | `getDataStreamSize()` Returns the DataStreamSize field.
`int` | `getDirEntNum()` Returns the DirEntNum field.
`int` | `getDosDirNum()` Returns the DosDirNum field.
`int` | `getEADataSize()` Returns the EADataSize field.
`int` | `getEAKeyCount()` Returns the EAKeyCount field.
`int` | `getEAKeySize()` Returns the EAKeySize field.
`java.lang.String` | `getEntryName()` Returns the EntryName field.
`int` | `getFlags()` Returns the Flags field.
`int` | `getInheritedRightsMask()` Returns the inheritedRightsMask field.
`int` | `getLastAccessDate()` Returns the LastAccessDate field.
`java.lang.String` | `getModifier()` Returns a reference to this object's Modifier field.
`int` | `getModifyDate()` Returns the ModifyDate field.
`int` | `getModifyMask()` Returns the modifyMask field of the Attribute.
`int` | `getModifySearchAttributes()` Returns the modifySearchAttributes field of the Attribute.
`int` | `getModifyTime()` Returns the ModifyTime field.
`int` | `getNameLength()` Returns the NameLength field.
`int` | `getNSCreator()` Returns the NSCreator field.
`int` | `getNumberOfStreams()` Returns the NumberOfStreams field.
`com.novell.service.rfc1960.Rfc1960Parser` | `getSearchStringParser()` Returns the RFC1960 search string parser for the compare string.
`int` | `getSpaceAlloc()` Returns the SpaceAlloc field.
`int` | `getTotalStreamSize()` Returns the TotalStreamSize field.
`int` | `getVolNumber()` Returns the VolNumber field.
`void` | `setArchiveDate(int value)` Sets the ArchiveDate field.
`void` | `setArchiver(java.lang.String value)` Sets the Archiver field of the Attribute.
`void` | `setArchiveTime(int value)` Sets the ArchiveTime field.
`void` | `setAttributes(int value)` Sets the directory entry attributes.
`void` | `setCompareString(java.lang.String compareString)` Sets the compare string value.
`void` | `setCreationDate(int value)` Sets the CreationDate field.
`void` | `setCreationTime(int value)` Sets the CreationTime field.
`void` | `setCreator(java.lang.String value)` Sets the Creator field of the Attribute.
`void` | `setDataStreamSize(int value)` Sets the DataStreamSize field.
`void` | `setDirEntNum(int value)` Sets the DirEntNum field.
`void` | `setDosDirNum(int value)` Sets the DosDirNum field.
`void` | `setEADataSize(int value)` Sets the EADataSize field.
`void` | `setEAKeyCount(int value)` Sets the EAKeyCount field.
`void` | `setEAKeySize(int value)` Sets the EAKeySize field.
`void` | `setEntryName(java.lang.String value)` Sets the EntryName field.
`void` | `setFlags(int value)` Sets the Flags field.
`void` | `setInheritedRightsMask(int value)` Sets the inheritedRightsMask field.
`void` | `setLastAccessDate(int value)` Sets the LastAccessDate field.
`void` | `setModifier(java.lang.String value)` Sets the Modifier field of the Attribute.
`void` | `setModifyDate(int value)` Sets the ModifyDate field.
`void` | `setModifyMask(int value)` Sets the modifyMask field of the Attribute.
`void` | `setModifySearchAttributes(int value)` Sets the modifySearchAttributes field of the Attribute.
`void` | `setModifyTime(int value)` Sets the ModifyTime field.
`void` | `setNameLength(int value)` Sets the NameLength field.
`void` | `setNSCreator(int value)` Sets the NSCreator field.
`void` | `setNumberOfStreams(int value)` Sets the NumberOfStreams field.
`void` | `setSpaceAlloc(int value)` Sets the SpaceAlloc field.
`void` | `setTotalStreamSize(int value)` Sets the TotalStreamSize field.
`void` | `setVolNumber(int value)` Sets the VolNumber field.
`java.lang.String` | `toString()` Creates and returns a comma separated list of all attribute values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of DirectoryEntryInformation.

  (ATTRIBUTE_ID = "Entry Information")

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  Schema Class Definition Name of DirectoryEntryInformation.

  (SCHEMA_BINDING_NAME = ATTRIBUTE_ID + " Definition")

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  Schema Syntax of DirectoryEntryInfomation.

  (COMPARE_SYNTAX_STRING = "(" + SearchStringComponent.EQUALS_STRING + "," + SearchStringComponent.PRESENT_STRING + "," + SearchStringComponent.SUBSTRING_STRING + ")")

### SPACEALLOC_FIELD

    public static final java.lang.String SPACEALLOC_FIELD

  Field specifier for searching on space allocation information.

  (SPACEALLOC_FIELD = "SpaceAlloc")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### ATTRIBUTES_FIELD

    public static final java.lang.String ATTRIBUTES_FIELD

  Field specifier for searching on directory entry attributes.

  (ATTRIBUTES_FIELD = "Attributes")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### FLAGS_FIELD

    public static final java.lang.String FLAGS_FIELD

  Field specifier for searching on internal directory entry flags.

  (FLAGS_FIELD = "Flags")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### DATASTREAMSIZE_FIELD

    public static final java.lang.String DATASTREAMSIZE_FIELD

  Field specifier for searching on the primary data stream size.

  (DATASTREAMSIZE_FIELD = "DataStreamSize")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### TOTALSTREAMSIZE_FIELD

    public static final java.lang.String TOTALSTREAMSIZE_FIELD

  Field specifier for searching on the total size of all data streams.

  This variable represents the number of 4K blocks that the given file is occupying.

  (TOTALSTREAMSIZE_FIELD = "TotalStreamSize")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMBEROFSTREAMS_FIELD

    public static final java.lang.String NUMBEROFSTREAMS_FIELD

  Field specifier for searching on the number of data streams associated with this directory entry.

  (NUMBEROFSTREAMS_FIELD = "NumberOfStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CREATIONTIME_FIELD

    public static final java.lang.String CREATIONTIME_FIELD

  Field specifier for searching on creation time.

  (CREATIONTIME_FIELD = "CreationTime")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CREATIONDATE_FIELD

    public static final java.lang.String CREATIONDATE_FIELD

  Field specifier for searching on creation date.

  (CREATIONDATE_FIELD = "CreationDate")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CREATOR_FIELD

    public static final java.lang.String CREATOR_FIELD

  Field specifier for searching on creator. When searching on the creator, specify the object name in a string form.

  (CREATOR_FIELD = "Creator")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MODIFYTIME_FIELD

    public static final java.lang.String MODIFYTIME_FIELD

  Field specifier for searching on last modification date.

  (MODIFYTIME_FIELD = "ModifyTime")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MODIFYDATE_FIELD

    public static final java.lang.String MODIFYDATE_FIELD

  Field specifier for searching on last modification time.

  (MODIFYDATE_FIELD = "ModifyDate")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MODIFIER_FIELD

    public static final java.lang.String MODIFIER_FIELD

  Field specifier for searching on modifier. When searching on the modifier, specify the object name in a string form.

  (MODIFIER_FIELD = "Modifier")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### LASTACCESSDATE_FIELD

    public static final java.lang.String LASTACCESSDATE_FIELD

  Field specifier for searching on last access date.

  (LASTACCESSDATE_FIELD = "LastAccessDate")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### ARCHIVETIME_FIELD

    public static final java.lang.String ARCHIVETIME_FIELD

  Field specifier for searching on last archival time.

  (ARCHIVETIME_FIELD = "ArchiveTime")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### ARCHIVEDATE_FIELD

    public static final java.lang.String ARCHIVEDATE_FIELD

  Field specifier for searching on last archival date.

  (ARCHIVEDATE_FIELD = "ArchiveDate")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### ARCHIVER_FIELD

    public static final java.lang.String ARCHIVER_FIELD

  Field specifier for searching on archiver. When searching on the archiver, specify the object name in a string form.

  (ARCHIVER_FIELD = "Archiver")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### INHERITEDRIGHTSMASK_FIELD

    public static final java.lang.String INHERITEDRIGHTSMASK_FIELD

  Field specifier for searching on the inherited rights mask.

  (INHERITEDRIGHTSMASK_FIELD = "InheritedRightsMask")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### DIRENTNUM_FIELD

    public static final java.lang.String DIRENTNUM_FIELD

  Field specifier for searching on the name space directory entry number.

  (DIRENTNUM_FIELD = "DirEntNum")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### DOSDIRNUM_FIELD

    public static final java.lang.String DOSDIRNUM_FIELD

  Field specifier for searching on the DOS directory entry number.

  (DOSDIRNUM_FIELD = "DosDirNum")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### VOLNUMBER_FIELD

    public static final java.lang.String VOLNUMBER_FIELD

  Field specifier for searching on the volume number where the directory entry resides.

  (VOLNUMBER_FIELD = "VolNumber")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### EADATASIZE_FIELD

    public static final java.lang.String EADATASIZE_FIELD

  Field specifier for searching on total EA data size.

  (EADATASIZE_FIELD = "EADataSize")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### EAKEYCOUNT_FIELD

    public static final java.lang.String EAKEYCOUNT_FIELD

  Field specifier for searching on number of EAs associated with this directory entry.

  (EAKEYCOUNT_FIELD = "EAKeyCount")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### EAKEYSIZE_FIELD

    public static final java.lang.String EAKEYSIZE_FIELD

  Field specifier for searching on size of the EA key strings.

  (EAKEYSIZE_FIELD = "EAKeySize")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NSCREATOR_FIELD

    public static final java.lang.String NSCREATOR_FIELD

  Field specifier for searching on the owning name space.

  (NSCREATOR_FIELD = "NSCreator")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NAMELENGTH_FIELD

    public static final java.lang.String NAMELENGTH_FIELD

  Field specifier for searching on length of the name space name.

  (NAMELENGTH_FIELD = "NameLength")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### ENTRYNAME_FIELD

    public static final java.lang.String ENTRYNAME_FIELD

  Field specifier for searching on name space name.

  (ENTRYNAME_FIELD = "EntryName")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MODIFYSEARCHATTRIBUTES_FIELD

    public static final java.lang.String MODIFYSEARCHATTRIBUTES_FIELD

  Field specifier for searching on modify search attributes.

  (MODIFYSEARCHATTRIBUTES_FIELD = "ModifySearchAttributes")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MODIFYMASK_FIELD

    public static final java.lang.String MODIFYMASK_FIELD

  Field specifier for searching on modify mask.

  (MODIFYMASK_FIELD = "ModifyMask")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### TA_NONE

    public static final int TA_NONE

  Netware rights: Cannot read or write.

  (TA_NONE = 0x0000)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_READ

    public static final int TA_READ

  Netware rights: Can read.

  (TA_READ = 0x0001)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_WRITE

    public static final int TA_WRITE

  Netware rights: Can write.

  (TA_WRITE = 0x0002)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_OLD_OPEN

    public static final int TA_OLD_OPEN

  Netware rights: Can open existing file (obsolete).

  (TA_WRITE = 0x0004)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_CREATE

    public static final int TA_CREATE

  Netware rights: Can create files.

  (TA_CREATE = 0x0008)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_DELETE

    public static final int TA_DELETE

  Netware rights: Can delete files.

  (TA_DELETE = 0x0010)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_OWNERSHIP

    public static final int TA_OWNERSHIP

  Netware rights: Can create and delete subdirectories, and can grant and revoke trustee rights.

  (TA_OWNERSHIP = 0x0020)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_SEARCH

    public static final int TA_SEARCH

  Netware rights: Can search the directory.

  (TA_SEARCH = 0x0040)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_MODIFY

    public static final int TA_MODIFY

  Netware rights: Can modify the file attributes.

  (TA_MODIFY = 0x0080)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_SUPERVISOR

    public static final int TA_SUPERVISOR

  Netware rights: User has supervisor rights.

  (TA_SUPERVISOR = 0x0100)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### TA_ALL

    public static final int TA_ALL

  Netware rights: Specifies all rights to the directory.

  (TA_ALL = 0x00FB)

  See Also:
    `getInheritedRightsMask()`, `setInheritedRightsMask(int)`

### A_NORMAL

    public static final int A_NORMAL

  Attribute: No attributes set.

  (A_NORMAL = 0x00000000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_READ_ONLY

    public static final int A_READ_ONLY

  Attribute: The entry cannot be written, deleted or renamed.

  (A_READ_ONLY = 0x00000001)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_HIDDEN

    public static final int A_HIDDEN

  Attribute: The entry doesn't appear in a normal directory listing.

  (A_HIDDEN = 0x00000002)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_SYSTEM

    public static final int A_SYSTEM

  Attribute: The entry is used by the system and is hidden.

  (A_SYSTEM = 0x00000004)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_EXECUTE_ONLY

    public static final int A_EXECUTE_ONLY

  Attribute: The entry can be loaded for execution only once.

  (A_EXECUTE_ONLY = 0x00000008)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_DIRECTORY

    public static final int A_DIRECTORY

  Attribute: The entry is a directory, not a file.

  (A_DIRECTORY = 0x00000010)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_NEEDS_ARCHIVED

    public static final int A_NEEDS_ARCHIVED

  Attribute: The entry has been changed since last archived.

  (A_NEEDS_ARCHIVED = 0x00000020)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_SHAREABLE

    public static final int A_SHAREABLE

  Attribute: The entry can be opened by multiple clients.

  (A_SHAREABLE = 0x00000080)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_TRANSACTIONAL

    public static final int A_TRANSACTIONAL

  Attribute: A transaction on the entry is being tracked.

  (A_TRANSACTIONAL = 0x00001000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_INDEXED

    public static final int A_INDEXED

  Attribute: Not in use; provided for compatibility only.

  (A_INDEXED = 0x00002000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_READ_AUDIT

    public static final int A_READ_AUDIT

  Attribute: Not in use.

  (A_READ_AUDIT = 0x00004000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_WRITE_AUDIT

    public static final int A_WRITE_AUDIT

  Attribute: Not in use.

  (A_WRITE_AUDIT = 0x00008000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_IMMEDIATE_PURGE

    public static final int A_IMMEDIATE_PURGE

  Attribute: The entry will be purged when deleted.

  (A_IMMEDIATE_PURGE = 0x00010000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_RENAME_INHIBIT

    public static final int A_RENAME_INHIBIT

  Attribute: The entry cannot be renamed.

  (A_RENAME_INHIBIT = 0x00020000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_DELETE_INHIBIT

    public static final int A_DELETE_INHIBIT

  Attribute: The entry cannot be deleted.

  (A_DELETE_INHIBIT = 0x00040000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_COPY_INHIBIT

    public static final int A_COPY_INHIBIT

  Attribute: The entry cannot be copied.

  (A_COPY_INHIBIT = 0x00080000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_FILE_MIGRATED

    public static final int A_FILE_MIGRATED

  Attribute: The entry has been migrated.

  (A_FILE_MIGRATED = 0x00400000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_DONT_MIGRATE

    public static final int A_DONT_MIGRATE

  Attribute: The entry should not be migrated.

  (A_DONT_MIGRATE = 0x00800000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_IMMEDIATE_COMPRESS

    public static final int A_IMMEDIATE_COMPRESS

  Attribute: The entry should be compressed when migrated.

  (A_IMMEDIATE_COMPRESS = 0x02000000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_FILE_COMPRESSED

    public static final int A_FILE_COMPRESSED

  Attribute: The entry is compressed.

  (A_FILE_COMPRESSED = 0x04000000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_DONT_COMPRESS

    public static final int A_DONT_COMPRESS

  Attribute: The entry should not be compressed.

  (A_DONT_COMPRESS = 0x08000000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### A_CANT_COMPRESS

    public static final int A_CANT_COMPRESS

  Attribute: The entry cannot be compressed.

  (A_CANT_COMPRESS = 0x20000000)

  See Also:
    `getAttributes()`, `setAttributes(int)`

### NW_NS_DOS

    public static final int NW_NS_DOS

  NSCreator: DOS name space.

  (NW_NS_DOS = 0x00)

  See Also:
    `getNSCreator()`, `setNSCreator(int)`

### NW_NS_MAC

    public static final int NW_NS_MAC

  NSCreator: MAC name space.

  (NW_NS_MAC = 0x01)

  See Also:
    `getNSCreator()`, `setNSCreator(int)`

### NW_NS_NFS

    public static final int NW_NS_NFS

  NSCreator: NFS name space.

  (NW_NS_NFS = 0x02)

  See Also:
    `getNSCreator()`, `setNSCreator(int)`

### NW_NS_FTAM

    public static final int NW_NS_FTAM

  NSCreator: FTAM name space.

  (NW_NS_FTAM = 0x03)

  See Also:
    `getNSCreator()`, `setNSCreator(int)`

### NW_NS_OS2

    public static final int NW_NS_OS2

  NSCreator: OS2 name space (LONG).

  (NW_NS_OS2 = 0x04)

  See Also:
    `getNSCreator()`, `setNSCreator(int)`

### SA_HIDDEN

    public static final int SA_HIDDEN

  modifySearchAttributes: Search for hidden entries for modification.

  (SA_HIDDEN = 0x0002)

  See Also:
    `getModifySearchAttributes()`, `setModifySearchAttributes(int)`

### SA_SYSTEM

    public static final int SA_SYSTEM

  modifySearchAttributes: Search for system entries for modification.

  (SA_SYSTEM = 0x0004)

  See Also:
    `getModifySearchAttributes()`, `setModifySearchAttributes(int)`

### SA_SUBDIR_ONLY

    public static final int SA_SUBDIR_ONLY

  modifySearchAttributes: Search for directories only for modification.

  (SA_SUBDIR_ONLY = 0x0010)

  See Also:
    `getModifySearchAttributes()`, `setModifySearchAttributes(int)`

### SA_SUBDIR_FILES

    public static final int SA_SUBDIR_FILES

  modifySearchAttributes: Search for files and directories for modification.

  (SA_SUBDIR_FILES = 0x8000)

  See Also:
    `getModifySearchAttributes()`, `setModifySearchAttributes(int)`

### DM_ATTRIBUTES

    public static final int DM_ATTRIBUTES

  Modify Mask: Attributes.

  (DM_ATTRIBUTES = 0x0002)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_CREATE_DATE

    public static final int DM_CREATE_DATE

  Modify Mask: Creation Date.

  (DM_CREATE_DATE = 0x0004)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_CREATE_TIME

    public static final int DM_CREATE_TIME

  Modify Mask: Creation Time.

  (DM_CREATE_TIME = 0x0008)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_CREATOR

    public static final int DM_CREATOR

  Modify Mask: Creator.

  (DM_CREATOR_ID = 0x0010)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_ARCHIVE_DATE

    public static final int DM_ARCHIVE_DATE

  Modify Mask: Archive Date.

  (DM_ARCHIVE_DATE = 0x0020)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_ARCHIVE_TIME

    public static final int DM_ARCHIVE_TIME

  Modify Mask: Archive Time.

  (DM_ARCHIVE_TIME = 0x0040)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_ARCHIVER

    public static final int DM_ARCHIVER

  Modify Mask: Archiver.

  (DM_ARCHIVER_ID = 0x0080)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_MODIFY_DATE

    public static final int DM_MODIFY_DATE

  Modify Mask: Modify Date.

  (DM_MODIFY_DATE = 0x0100)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_MODIFY_TIME

    public static final int DM_MODIFY_TIME

  Modify Mask: Modify Time.

  (DM_MODIFY_TIME = 0x0200)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_MODIFIER

    public static final int DM_MODIFIER

  Modify Mask: Modifier.

  (DM_MODIFIER_ID = 0x0400)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_LAST_ACCESS_DATE

    public static final int DM_LAST_ACCESS_DATE

  Modify Mask: Last Access Date.

  (DM_LAST_ACCESS_DATE = 0x0800)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

### DM_INHERITED_RIGHTS_MASK

    public static final int DM_INHERITED_RIGHTS_MASK

  Modify Mask: Inherited Rights Mask.

  (DM_INHERITED_RIGHTS_MASK = 0x1000)

  See Also:
    `setModifyMask(int)`, `getModifyMask()`

Constructor Detail

### DirectoryEntryInformation

    public DirectoryEntryInformation()

  Constructs a DirectoryEntryInformation object. All fields are zero or NULL.

### DirectoryEntryInformation

    public DirectoryEntryInformation(int attributes,
                                     int creationDate,
                                     int creationTime,
                                     java.lang.String creator,
                                     int modifyDate,
                                     int modifyTime,
                                     java.lang.String modifier,
                                     int archiveDate,
                                     int archiveTime,
                                     java.lang.String archiver,
                                     int lastAccessDate,
                                     int grantRights,
                                     int revokeRights,
                                     int spaceAlloc,
                                     int modifySearchAttributes,
                                     int modifyMask)

  Constructs a DirectoryEntryInformation object that is ready to send into a modify operation.

  This constructor is intended for the user application layer. The created DirectoryEntryInformation object is targeted for use in an attribute modify operation. The parameters reflect all the fields that can be modified. All other fields are ignored by the modify operation.

  The modifyMask is used to specify which of these fields are valid and should be modified. The following constants are available for this support.

  - DM_ATTRIBUTES
  - DM_CREATE_DATE
  - DM_CREATE_TIME
  - DM_CREATOR
  - DM_ARCHIVE_DATE
  - DM_ARCHIVE_TIME
  - DM_ARCHIVER
  - DM_MODIFY_DATE
  - DM_MODIFY_TIME
  - DM_MODIFIER
  - DM_LAST_ACCESS_DATE
  - DM_INHERITED_RIGHTS_MASK
  Parameters:
    `attributes` - Data member attributes value.
    `createDate` - Data member creation date value.
    `createTime` - Data member creation time value.
    `creator` - Data member creator value.
    `modifyDate` - Data member modify date value.
    `modifyTime` - Data member modify time value.
    `modifier` - Data member modifier value.
    `archiveDate` - Data member archive date value.
    `archiveTime` - Data member archive time value.
    `archiver` - Data member archiver value.
    `lastAccessDate` - Data member last access value.
    `grantRights` - Data member grant rights value.
    `revokeRights` - Data member revoke rights value.
    `maximumSpace` - Data member maximum space value.
    `modifySearchAttributes` - Data member modify search attributes value.
  See Also:
    `DM_ATTRIBUTES`, `DM_CREATE_DATE`, `DM_CREATE_TIME`, `DM_CREATOR`, `DM_ARCHIVE_DATE`, `DM_ARCHIVE_TIME`, `DM_ARCHIVER`, `DM_MODIFY_DATE`, `DM_MODIFY_TIME`, `DM_MODIFIER`, `DM_LAST_ACCESS_DATE`, `DM_INHERITED_RIGHTS_MASK`, `setModifyMask(int)`, `getModifyMask()`

### DirectoryEntryInformation

    public DirectoryEntryInformation(int spaceAlloc,
                                     int attributes,
                                     int flags,
                                     int dataStreamSize,
                                     int totalStreamSize,
                                     int numberOfStreams,
                                     int creationTime,
                                     int creationDate,
                                     java.lang.String creator,
                                     int modifyTime,
                                     int modifyDate,
                                     java.lang.String modifier,
                                     int lastAccessDate,
                                     int archiveTime,
                                     int archiveDate,
                                     java.lang.String archiver,
                                     int inheritedRightsMask,
                                     int dirEntNum,
                                     int DosDirNum,
                                     int volNumber,
                                     int EADataSize,
                                     int EAKeyCount,
                                     int EAKeySize,
                                     int NSCreator,
                                     int nameLength,
                                     java.lang.String entryName,
                                     int modifySearchAttributes)

  Constructs a DirectoryEntryInformation object specifying all values that are needed to set the full state.
  Parameters:
    `spaceAlloc` - Data member: space alloc value.
    `attributes` - Data member: attributes value.
    `flags` - Data member: flags value.
    `dataStreamSize` - Data member: data stream size value.
    `totalStreamSize` - Data member: total stream size value.
    `numberOfStreams` - Data member: number of streams value.
    `creationTime` - Data member: creation time value.
    `creationDate` - Data member: creation date value.
    `creator` - Data member: creator value.
    `modifyTime` - Data member: modify time value.
    `modifyDate` - Data member: modify date value.
    `modifier` - Data member: modifier value.
    `lastAccessDate` - Data member: last access date value.
    `archiveTime` - Data member: archive time value.
    `archiveDate` - Data member: archive date value.
    `archiver` - Data member: archiver value.
    `inheritedRightsMask` - Data member: inherited rights mask value.
    `dirEntNum` - Data member: dir ent num value.
    `DosDirNum` - Data member: DOS directory number value.
    `volNumber` - Data member: volume number value.
    `EADataSize` - Data member: EA data size value.
    `EAKeyCount` - Data member: EA key count value.
    `EAKeySize` - Data member: EA key size value.
    `NSCreator` - Data member: NS creator value.
    `nameLength` - Data member: name length value.
    `entryName` - Data member: entry name value.
    `modifySearchAttributes` - Data member: modify search attributes value.

Method Detail

### getSpaceAlloc

    public int getSpaceAlloc()

  Returns the SpaceAlloc field.
  Returns:
    The SpaceAlloc for this directory entry.

### setSpaceAlloc

    public void setSpaceAlloc(int value)

  Sets the SpaceAlloc field.
  Parameters:
    `value` - The SpaceAlloc for this directory entry.

### getAttributes

    public int getAttributes()

  Returns the directory entry attributes.
  Returns:
    The attributes for this directory entry.
  See Also:
    `A_NORMAL`

### setAttributes

    public void setAttributes(int value)

  Sets the directory entry attributes.
  Parameters:
    `value` - The attributes for this directory entry.
  See Also:
    `A_NORMAL`

### getFlags

    public int getFlags()

  Returns the Flags field.
  Returns:
    The Flags for this directory entry.

### setFlags

    public void setFlags(int value)

  Sets the Flags field.
  Parameters:
    `value` - The Flags for this directory entry.

### getDataStreamSize

    public int getDataStreamSize()

  Returns the DataStreamSize field.
  Returns:
    The DataStreamSize for this directory entry.

### setDataStreamSize

    public void setDataStreamSize(int value)

  Sets the DataStreamSize field.
  Parameters:
    `value` - The DataStreamSize for this directory entry.

### getTotalStreamSize

    public int getTotalStreamSize()

  Returns the TotalStreamSize field.

  The TotalStreamSize is the number of 4K blocks that the given file occupies.

  Returns:
    The TotalStreamSize for this directory entry.

### setTotalStreamSize

    public void setTotalStreamSize(int value)

  Sets the TotalStreamSize field.
  Parameters:
    `value` - The TotalStreamSize for this directory entry, which is the number of 4K blocks that the directory entry occupies.

### getNumberOfStreams

    public int getNumberOfStreams()

  Returns the NumberOfStreams field.
  Returns:
    The NumberOfStreams for this directory entry.

### setNumberOfStreams

    public void setNumberOfStreams(int value)

  Sets the NumberOfStreams field.
  Parameters:
    `value` - The NumberOfStreams for this directory entry.

### getCreationTime

    public int getCreationTime()

  Returns the CreationTime field.
  Returns:
    The CreationTime for this directory entry.
  See Also:
    `setCreationTime(int)`

### setCreationTime

    public void setCreationTime(int value)

  Sets the CreationTime field.
  Parameters:
    `value` - The CreationTime for this directory entry in the order of seconds (5 bits), minutes (6 bits) and hours (5 bits).

### getCreationDate

    public int getCreationDate()

  Returns the CreationDate field.
  Returns:
    The CreationDate for this directory entry.
  See Also:
    `setCreationDate(int)`

### setCreationDate

    public void setCreationDate(int value)

  Sets the CreationDate field.

  To use the month value as 0-11 java base you must subtract 1. Also, be aware that Novell starts at 1980, thus you need to add the year to 1980.

  Parameters:
    `value` - The CreationDate for this directory entry in the order of dsy (5 bits), month (4 bits) and year (7 bits).

### getCreator

    public java.lang.String getCreator()

  Returns the Creator field. A reference to this object's Creator field is returned. If you modify the state of the returned object, it will be reflected in this object.
  Returns:
    The Creator for this directory entry.

### setCreator

    public void setCreator(java.lang.String value)

  Sets the Creator field of the Attribute. The actual parameter reference will be stored by this object (it will not be cloned). Later modifications to to this references state will be reflected in this object.
  Parameters:
    `value` - The Creator for this directory entry.

### getModifyTime

    public int getModifyTime()

  Returns the ModifyTime field.
  Returns:
    The ModifyTime for this directory entry.

### setModifyTime

    public void setModifyTime(int value)

  Sets the ModifyTime field.
  Parameters:
    `value` - The ModifyTime for this directory entry.

### getModifyDate

    public int getModifyDate()

  Returns the ModifyDate field.
  Returns:
    The ModifyDate for this directory entry.

### setModifyDate

    public void setModifyDate(int value)

  Sets the ModifyDate field.
  Parameters:
    `value` - The ModifyDate for this directory entry.

### getModifier

    public java.lang.String getModifier()

  Returns a reference to this object's Modifier field. If you modify the state of the returned object, it will be reflected in this object.
  Returns:
    The Modifier for this directory entry.

### setModifier

    public void setModifier(java.lang.String value)

  Sets the Modifier field of the Attribute. The actual parameter reference will be stored by this object (it will not be cloned). Later modifications to this references state will be reflected in this object.
  Parameters:
    `value` - The Modifier for this directory entry.

### getLastAccessDate

    public int getLastAccessDate()

  Returns the LastAccessDate field.
  Returns:
    The LastAccessDate for this directory entry.

### setLastAccessDate

    public void setLastAccessDate(int value)

  Sets the LastAccessDate field.
  Parameters:
    `value` - The LastAccessDate for this directory entry.

### getArchiveTime

    public int getArchiveTime()

  Returns the ArchiveTime field.
  Returns:
    The ArchiveTime for this directory entry.

### setArchiveTime

    public void setArchiveTime(int value)

  Sets the ArchiveTime field.
  Parameters:
    `value` - The ArchiveTime for this directory entry.

### getArchiveDate

    public int getArchiveDate()

  Returns the ArchiveDate field.
  Returns:
    The ArchiveDate for this directory entry.

### setArchiveDate

    public void setArchiveDate(int value)

  Sets the ArchiveDate field.
  Parameters:
    `value` - The ArchiveDate for this directory entry.

### getArchiver

    public java.lang.String getArchiver()

  Returns a reference to this object's Archiver field. If you modify the state of the returned object, it will be reflected in this object.
  Returns:
    The Archiver for this directory entry.

### setArchiver

    public void setArchiver(java.lang.String value)

  Sets the Archiver field of the Attribute. The actual parameter reference will be stored by this object (it will not be cloned). Later modifications to this reference state will be reflected in this object.
  Parameters:
    `value` - The Archiver for this directory entry.

### getInheritedRightsMask

    public int getInheritedRightsMask()

  Returns the inheritedRightsMask field.
  Returns:
    The inheritedRightsMask for this directory entry.
  See Also:
    `TA_NONE`

### setInheritedRightsMask

    public void setInheritedRightsMask(int value)

  Sets the inheritedRightsMask field.
  Parameters:
    `value` - The inheritedRightsMask for this directory entry.
  See Also:
    `TA_NONE`

### getDirEntNum

    public int getDirEntNum()

  Returns the DirEntNum field.
  Returns:
    The DirEntNum for this directory entry.

### setDirEntNum

    public void setDirEntNum(int value)

  Sets the DirEntNum field.
  Parameters:
    `value` - The DirEntNum for this directory entry.

### getDosDirNum

    public int getDosDirNum()

  Returns the DosDirNum field.
  Returns:
    The DosDirNum for this directory entry.

### setDosDirNum

    public void setDosDirNum(int value)

  Sets the DosDirNum field.
  Parameters:
    `value` - The DosDirNum for this directory entry.

### getVolNumber

    public int getVolNumber()

  Returns the VolNumber field.
  Returns:
    The VolNumber for this directory entry.

### setVolNumber

    public void setVolNumber(int value)

  Sets the VolNumber field.
  Parameters:
    `value` - The VolNumber for this directory entry.

### getEADataSize

    public int getEADataSize()

  Returns the EADataSize field.
  Returns:
    The EADataSize for this directory entry.

### setEADataSize

    public void setEADataSize(int value)

  Sets the EADataSize field.
  Parameters:
    `value` - The EADataSize for this directory entry.

### getEAKeyCount

    public int getEAKeyCount()

  Returns the EAKeyCount field.
  Returns:
    The EAKeyCount for this directory entry.

### setEAKeyCount

    public void setEAKeyCount(int value)

  Sets the EAKeyCount field.
  Parameters:
    `value` - The EAKeyCount for this directory entry.

### getEAKeySize

    public int getEAKeySize()

  Returns the EAKeySize field.
  Returns:
    The EAKeySize for this directory entry.

### setEAKeySize

    public void setEAKeySize(int value)

  Sets the EAKeySize field.
  Parameters:
    `value` - The EAKeySize for this directory entry.

### getNSCreator

    public int getNSCreator()

  Returns the NSCreator field.
  Returns:
    The NSCreator for this directory entry.
  See Also:
    `NW_NS_DOS`

### setNSCreator

    public void setNSCreator(int value)

  Sets the NSCreator field.
  Parameters:
    `value` - The NSCreator for this directory entry.
  See Also:
    `NW_NS_DOS`

### getNameLength

    public int getNameLength()

  Returns the NameLength field.
  Returns:
    The NameLength for this directory entry.

### setNameLength

    public void setNameLength(int value)

  Sets the NameLength field.
  Parameters:
    `value` - The NameLength for this directory entry.

### getEntryName

    public java.lang.String getEntryName()

  Returns the EntryName field.
  Returns:
    The EntryName for this directory entry.

### setEntryName

    public void setEntryName(java.lang.String value)

  Sets the EntryName field.
  Parameters:
    `value` - The EntryName for this directory entry.

### getModifySearchAttributes

    public int getModifySearchAttributes()

  Returns the modifySearchAttributes field of the Attribute. This value is a mask that determines what the search will be while modifying this attribute.
  Returns:
    The modifySearchAttributes for this directory entry.
  See Also:
    `SA_HIDDEN`

### setModifySearchAttributes

    public void setModifySearchAttributes(int value)

  Sets the modifySearchAttributes field of the Attribute. This value is a mask that determines what the search will be while modifying this attribute.
  Parameters:
    `value` - The modifySearchAttributes for this directory entry.

### getModifyMask

    public int getModifyMask()

  Returns the modifyMask field of the Attribute. This value is a mask that determines which data members of the object are valid and should be used for a modify operation.
  Returns:
    The modifyMask for this directory entry.
  See Also:
    `SA_HIDDEN`

### setModifyMask

    public void setModifyMask(int value)

  Sets the modifyMask field of the Attribute. This value is a mask that determines which data members of the object are valid and should be used for a modify operation.
  Parameters:
    `value` - The modifyMask for this directory entry.

### setCompareString

    public void setCompareString(java.lang.String compareString)

  Sets the compare string value. The compare string uses the RFC1960 (LDAP) search string format and is used to allow individual compares on the following fields:
  - SpaceAlloc
  - Attributes
  - Flags
  - DataStreamSize
  - TotalStreamSize
  - NumberOfStreams
  - CreationTime
  - CreationDate
  - Creator
  - CreatorId
  - ModifyTime
  - ModifyDate
  - Modifier
  - ModifierId
  - LastAccessDate
  - ArchiveTime
  - ArchiveDate
  - Archiver
  - ArchiverId
  - InheritedRightsMask
  - DirEntNum
  - DosDirNum
  - VolNumber
  - EADataSize
  - EAKeyCount
  - EAKeySize
  - NSCreator
  - NameLength
  - EntryName

  See the various SearchStringComponent compare methods referenced below for detailed information on the operation types allowed for String and integer data members.

  The names of these fields takes the names of their corresponding methods minus the get or set prefix. Given the following string: "(&(Name=*printer*)(ObjectId>=2)(Rights>=128))"

  The equals method returns TRUE if the name has the substring "printer" in it, the objectId is not 2 and the rights are set to be able to modify (TA_MODIFY). If the approximate operator type is used on the Rights field the various bits of the operand value are checked. If any of them are set, equals will return TRUE. For example: "(Rights~=3) returns TRUE if either the TA_READ or TA_WRITE bits are set, and regardless of what other bits might be set.

  If the string passed in is not a valid RFC1960 formated string, this method will throw an IllegalArgumentException. If the compareString value is NULL, RFC1960 formated compares will be disabled.

  Parameters:
    `compareString` - The RFC1960 formated search string. NULL disables this compare functionality.
  Throws:
    java.lang.IllegalArgumentException - when the string passed in is not a valid RFC1960 formatted string.
  See Also:
    `equals(java.lang.Object)`, `SPACEALLOC_FIELD`

### getCompareString

    public java.lang.String getCompareString()

  Returns the current value of compareString.
  Returns:
    The current value of compareString.
  See Also:
    `Trustee.setCompareString(java.lang.String)`

### getSearchStringParser

    public com.novell.service.rfc1960.Rfc1960Parser getSearchStringParser()

  Returns the RFC1960 search string parser for the compare string.

  Returns a Rfc1960Parser object that was instantiated with the compareString last set by the setCompareString method.

  Returns:
    The Rfc1960Parser object for the current compare String, or NULL if the compare string has not been set.

### equals

    public boolean equals(java.lang.Object obj)

  Tests if the specified object is equal to this directory entry information object.

  This method compares the input object against this object. If the input object has a RFC1960 compare string, this method will do the comparision based on the commands in the compare string.

  Parameters:
    `obj` - The object to compare.
  Returns:
    TRUE if equals, otherwise FALSE.
  Throws:
    java.lang.IllegalArgumentException - if the operationType is illegal for the data type being compared.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `setCompareString(java.lang.String)`, `SPACEALLOC_FIELD`

### toString

    public java.lang.String toString()

  Creates and returns a comma separated list of all attribute values.

  The list of returned values is in the following format: "spaceAlloc: n, attributes: n, flags: n, dataStreamSize: n, totalStreamSize: n, numberOfStreams: n, creationTime: n, creationDate: n, creator: s, modifyTime: n, modifyDate: n, modifier: s, lastAccessDate: n, archiveTime: n, archiveDate: n, archiver: s, inheritedRightsMask: n, dirEntNum: n, DosDirNum: n, volNumber: n, EADataSize: n, EAKeyCount: n, EAKeySize: n, NSCreator: n, nameLength: n, entryName: s, modifySearchAttributes: n, compareString: s, modifyMask: n"

  Returns:
    Comma separated list of attribute values
  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Clones this object.

  Instantiates a new instance of this type and assigns all fields using the current values of the fields of this directory entry information object.

  Returns:
    A new VolumeRestriction object with the same values.

### copy

    public void copy(DirectoryEntryInformation from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD